.section-padding {
  padding-top: 5rem;
  padding-bottom: 5rem;
}
.gap-10 {
  gap: 10px;
}

.blog-card-img {
  border-radius: 12px;
  overflow: hidden;
}

.blog-category-block {
  margin-block: 18px;
}

.blog-category {
  color: #007aff;
  font-weight: 600;
  text-decoration: none;
}
.banner-right-block {
  padding-left: 60px;
}
.banner-right-title {
  padding-bottom: 20px;
  margin-bottom: 30px;
  border-bottom: 1px solid var(--border-color);
}
.blog-category-list .blog-category-list-item:not(:last-child) {
  margin-bottom: 16px;
  border-bottom: 1px solid #e5e7eb;
}

.blog-category-heading {
  margin: 8px 0 16px;
}

.blog-card-section {
  background: #f4f8ff;
}

.blog-card-block {
  padding-bottom: 30px;
  gap: 16px;
}

.search-container {
  position: relative;
}

.search-input {
  width: 100%;
  padding: 14px 40px 14px 14px;
  border: 1px solid #e0e0e0;
  border-radius: 0.5rem;
  font-size: 18px;
  transition: border-color 0.2s;
  outline: none;
}

.search-icon {
  position: absolute;
  right: 14px;
  top: 50%;
  transform: translateY(-50%);
  color: #9ca3af;
  font-size: 0.875rem;
}

.category-filter-bar {
  border-bottom: 1px solid var(--border-color);
  margin-bottom: 3rem;
  width: 100%;
}

.tabs-scroll {
  width: calc(100% - 80px);
  overflow-x: auto;
  font-size: 0.875rem;
  color: #6b7280;
  white-space: nowrap;
  flex-grow: 1;
  scrollbar-width: none;
}

.tabs-scroll::-webkit-scrollbar {
  display: none;
}

.tab-btn {
  background: none;
  border: none;
  cursor: pointer;
  color: inherit;
  font: inherit;
  padding: 16px;
  font-size: 18px;
  position: relative;
}

.tab-btn:hover,
.tab-btn.active {
  color: #007aff;
}

.more-btn {
  color: #007aff;
  font-size: 18px;
  background: none;
  border: none;
  cursor: pointer;
  white-space: nowrap;
  padding: 16px 0 16px 16px;
}

.dropdown-container {
  position: relative;
}

.dropdown-menu {
  display: none;
  position: absolute;
  top: 70%;
  right: 0;
  z-index: 100;
  width: 240px;
  background-color: #f4f8ff;
  border-radius: 12px;
  box-shadow: 0 10px 25px rgba(0, 0, 0, 0.15);
  margin-top: 0.75rem;
  max-height: 400px;
  overflow-y: auto;
}

.dropdown-container:hover .dropdown-menu,
.dropdown-menu.show {
  display: block;
}

.dropdown-item {
  padding: 0.75rem 1.25rem;
  color: #2d3748;
  font-weight: 600;
  font-size: 0.875rem;
  transition: background 0.2s;
  display: block;
  width: 100%;
  text-align: left;
  border: none;
  background: none;
  cursor: pointer;
}

.dropdown-item:hover {
  background-color: #d4e4ff;
}

/* Section Start: Blog Grid */
.blog-grid {
  display: grid;
  grid-template-columns: 1fr;
  gap: 2.5rem;
}

.blog-grid-card {
  background-color: #ffffff;
  border-radius: 12px;
  overflow: hidden;
  box-shadow: 0px 2px 12px 5px #0000000d;
  transition:
    transform 0.2s ease,
    box-shadow 0.2s ease;
}

.blog-grid-card:hover {
  transform: scale(1.02);
}

.blog-grid-card-content {
  padding: 15px;
  flex-grow: 1;
}

.blog-grid-card-content .blog-grid-category-heading {
  margin-block: 15px;
}
.btn-load-more {
  color: #fff;
  font-weight: 600;
  background: #007aff;
  padding: 16px 24px;
  border-radius: 8px;
  outline: none;
  border: none;
  margin-top: 50px;
  -webkit-transition: all 0.5s ease-in-out;
  transition: all 0.5s ease-in-out;
}
.btn-load-more:hover {
  box-shadow: 0 14px 26px -12px rgb(0 122 255 / 42%), 0 4px 23px 0 rgb(0 0 0 / 12%), 0 8px 10px -5px rgb(0 122 255 / 42%);
}

.blog-cta-section {
  padding: 50px;
  background: #0f0a44;
  position: relative;
  overflow: hidden;
  z-index: 5;
}
.blog-cta-heading * {
  color: #ffffff;
}
.blog-cta-heading span {
  color: #007aff;
}

.blog-cta-section ul {
  display: flex;
  align-items: center;
  gap: 20px;
  margin: 40px 0px;
  flex-wrap: wrap;
}
.blog-cta-section ul li {
  display: flex;
  align-items: center;
  gap: 10px;
  font-size: 20px !important;
  font-weight: 500 !important;
  color: #e5f1fe;
}
.blog-cta-section ul li img {
  max-width: 18px;
}

.blog-cta-explorebtn {
  background: #ffffff;
  border: none;
  color: #007aff;
  padding: 15px 32px;
  border-radius: 6px;
  font-size: 16px;
  font-weight: 600;
}

.blog-cta-explorebtn:hover {
  background: #007aff;
  color: #ffffff;
}

.blog-cta-img {
  position: relative;
  z-index: 5;
  text-align: center;
}

.blog-cta-section::after {
  content: "";
  position: absolute;
  background: url("https://cdn.mooninvoice.com/image/images/newhome/home-banner01.svg")
    no-repeat;
  background-size: 130% 100%;
  z-index: -1;
  right: 0;
  top: 0px;
  width: 100%;
  height: 100%;
}

.single-blog-banner {
  padding: 50px 0;
  background: #f4f8ff;
}
.single-blog-content {
  height: 100%;
  padding-block: 20px;
}
.single-blog-content h2 {
  margin: 20px 0 10px;
}

@media (min-width: 768px) {
  .blog-grid {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (min-width: 1024px) {
  .blog-grid {
    grid-template-columns: repeat(3, 1fr);
    .single-blog-content .blog-category-block {
      margin-bottom: 20px;
    }
  }
}
@media screen and (max-width: 1400px) {
  .banner-right-block {
    padding-left: 30px;
  }
}

@media screen and (max-width: 991.98px) {
  .banner-right-block {
    padding-left: 0px;
    margin-top: 40px;
  }
  .section-padding {
    padding-top: 2.5rem;
    padding-bottom: 2.5rem;
  }
  .blog-category-block {
    margin-block: 12px;
  }
  .banner-right-title {
    padding-bottom: 12px;
    margin-bottom: 20px;
  }
  .blog-cta-section::after {
    background-size: 100%;
  }
  .blog-cta-section {
    padding: 40px 10px;
  }

  .blog-cta-section ul {
    margin: 20px 0px;
    gap: 10px;
  }
  .btn-load-more {
    margin-top: 40px;
  }
  .blog-cta-section ul li {
    font-size: 16px !important;
  }
  .blog-grid {
    gap: 1.5rem;
  }
  .category-filter-bar {
    margin-bottom: 1.5rem;
  }
}

@media screen and (max-width: 991.98px) {
  .blog-cta-img {
    margin-top: 40px;
  }
}

@media screen and (max-width: 600.98px) {
  .gap-10 {
    gap: 6px;
  }
  .blog-category-last-updated {
    display: block;
    width: 100%;
  }
  .blog-category-last-updated span {
    display: none;
  }
  .blog-category-heading.heading-4 {
    font-size: 18px !important;
  }
  .banner-sidebar-category {
    font-size: 14px !important;
  }
  .blog-cta-section ul li {
    width: 100%;
  }
  .blog-banner-h2 {
    font-size: 22px !important;
  }
  .tab-btn {
    font-size: 16px !important;
    padding: 13px;
  }
  .more-btn {
    font-size: 16px;
    padding: 13px 0 13px 13px;
  }

  .search-container {
    width: 100%;
  }
}

/* --------------------------------------------------------------------------------------- */
